__doc__ = """
Imports and Data for a Statistics course with Python
====================================================

I had created this package simply for the convenience of importing statistical packages in Statistical Python classes for my friends, to avoid in most cases to have to do many imports. I created it while using IPython.org's installation "Anaconda" ( http://ipython.org/install.html ). To use it, do:

from stt import *

or, if you want to see what has been imported, please use:

from stt.verbose import *

That's it.

--Mindey
(mindey.com)

"""
def hello():
    return (u'Imports and Data for a course in Statistical Computing')

imports = []

imports.append("class Session(): pass")
imports.append("from pylab import *")
imports.append("import datetime as dt")
imports.append("import numpy as np")
imports.append("from numpy import array as Array")
imports.append("import pandas as pd")
imports.append("import scipy as sp")
imports.append("import matplotlib.pyplot as plt")
imports.append("from pandas import Panel, Series, Index, MultiIndex, DataFrame, Categorical")
imports.append("import scipy.stats as st")
imports.append("import statsmodels.api as sm")
imports.append("import statsmodels.formula.api as smf")
imports.append("import cPickle as pickle")
imports.append('pd.set_option("display.max_columns", 50)')
imports.append('pd.set_option("display.width", 10000)')
imports.append('pd.set_option("display.max_rows", 5000)')
imports.append('pd.set_option("display.height", 10000)')
imports.append('pd.set_option("notebook_repr_html", False)')

for item in imports:
    exec(item)

def saves(glob, filename='stt.session', types=[Array, Series, DataFrame, Panel]):
    collection = {}
    for name in glob.keys():
        if type(glob[name]) in types:
            collection[name] = glob[name]  
    pickle.dump(collection, open(filename,'wb'))

def loads(glob, filename='stt.session'):
    collection = pickle.load(open(filename,'rb'))
    for name in collection.keys():
        glob[name] = collection[name]   

# For backwards compatibility
import statsmodels.formula.api as stf
